## popt 1.0

=== Makefile ===
LIBOBJECTS = 	popt.o

DEFCFLAGS=-O2

SOURCES =$(subst .o,.c,$(LIBOBJECTS))
LIBPOPT = libpopt.a
LIBS=/usr/lib
INCLUDE=/usr/include

ifeq (../Makefile.inc,$(wildcard ../Makefile.inc))
include ../Makefile.inc
endif

# -----------------------------------------------------------------------

ifeq ($(CFLAGS),)
CFLAGS=$(DEFCFLAGS)
endif

ifeq ($(RANLIB),)
RANLIB=ranlib
endif

ifeq (.depend,$(wildcard .depend))
TARGET=allprogs
else
TARGET=depend allprogs
endif

$(LIBPOPT): $(LIBPOPT)($(LIBOBJECTS))
	$(RANLIB) $@

distclean: clean

clean:
	rm -f *.a *.o *~ $(PROGS) test.out tagtable.c

squeaky: clean
	rm -f .depend

depend:
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

install:
	mkdir -p $(PREFIX)/$(INCLUDE)
	mkdir -p $(PREFIX)/$(LIBS)
	install -m 644 popt.h $(PREFIX)/$(INCLUDE)/popt.h
	install -m 644 $(LIBPOPT) $(PREFIX)/$(LIBS)/$(LIBPOPT)

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## popt 1.7-6

=== debian/changelog ===
popt (1.7-6) unstable; urgency=low

  * Drop popt.ps due to possible legal problems

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 17 May 2005 15:51:01 +0300

popt (1.7-5) unstable; urgency=high

  * The "I hate automake" release.
  * Make sure configure.in and configure.ac are the same, including
    timestamp. This allows a compile if you have two different versions of
    automake installed. (Closes: #245819)
  * Standards-Version: 3.6.1

 -- Paul Martin <pm@debian.org>  Sun, 29 Aug 2004 16:36:43 +0100

popt (1.7-4) unstable; urgency=low

  * Missed alignment check in poptSaveInt(). (Closes: #217602)
  * Add shlibdeps check for 1.7-4 if building on m68k, due to 
    brokenness with older versions of libpopt0 (the alignment checks). 
    Other archs may be broken, too. Please make yourselves known if so.

 -- Paul Martin <pm@debian.org>  Thu, 20 Nov 2003 19:50:10 +0000

popt (1.7-3) unstable; urgency=low

  * Drop alignment check in poptSaveLong(). (Closes: #217602)
  * Depend on "libc6-dev | libc-dev". (Closes: #218008)
  * Updated config.guess and config.sub. (Closes: #218010)

 -- Paul Martin <pm@debian.org>  Tue, 11 Nov 2003 14:44:21 +0000

popt (1.7-2) unstable; urgency=low

  * The "Apart from that, how was the play, Mrs Lincoln?" release.
  * Acknowledging NMU. (Closes: #195072)
    It got unstuck because the pattern it was matching for was X.X.X, 
    and this version is just X.X. Filip's method is much cleaner.

 -- Paul Martin <pm@debian.org>  Thu, 29 May 2003 20:24:32 +0100

popt (1.7-1.1) unstable; urgency=low

  * NMU. Sorry Paul, but this way popt could be fixed before the broken version
    got installed into the archives.
  * Use a different way of figuring out the package version. (Closes: #195072)
    Packages in incoming which got (auto)built against the broken version
    should be bin-NMUed.

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 28 May 2003 19:25:38 +0200

popt (1.7-1) unstable; urgency=low

  * New upstream version. (Closes: #178773, #182248, #193434)
  * Changed section of libpopt-dev to libdevel.
  * Added in some .po files I'd missed.
  * Standards version: 3.5.10

 -- Paul Martin <pm@debian.org>  Tue, 27 May 2003 19:29:25 +0100

popt (1.6.4-2) unstable; urgency=low

  * Last upload broke shlibs. This one fixes it. (Sorry joeyh.)
  * Use and depend on debhelper v4.
  * Standards-Version 3.5.6

 -- Paul Martin <pm@debian.org>  Thu, 27 Jun 2002 00:12:41 +0100

popt (1.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #150760)
    - Updates config.guess and config.sub
    - Adds a lot of checks for unexpected internal errors.

 -- Paul Martin <pm@debian.org>  Mon, 24 Jun 2002 19:55:47 +0100

popt (1.6.2-7) unstable; urgency=HIGH

  * Backported fix from 1.6.3 to segfault in poptStrippedArgv.
    (Closes: #135953)
  * Please consider for inclusion in woody.

 -- Paul Martin <pm@debian.org>  Wed, 27 Feb 2002 11:31:19 +0000

popt (1.6.2-6) unstable; urgency=HIGH

  * Modified depends in libpopt-dev to depend on
    libpopt0 (= ${Source-Version}). Previous uploads would allow 
    libpopt0 to get out of step with libpopt-dev, causing compiles to
    fail if the user starts from having 1.5-1 installed, and only 
    upgrades libpopt0. This is a violation of a "should" policy 
    directive.  (Closes: #125685)
  * Removed redundant ldconfig call from debian/libpopt0.postinst, as
    debhelper does it for us. Fixes lintian postinst-unsafe-ldconfig
    warning.
  * Uploading with urgency=high, since this upload contains 
    only minimal, "important" bugfixes.

 -- Paul Martin <pm@debian.org>  Wed, 19 Dec 2001 15:59:03 +0000

popt (1.6.2-5) unstable; urgency=low

  * Add versioned shlibs. This helps out rpm's Bug#95789.

 -- Paul Martin <pm@debian.org>  Mon, 30 Apr 2001 12:31:24 +0100

popt (1.6.2-4) unstable; urgency=low

  * Update config.guess and config.sub to the latest from GNU, to allow
    configure to run on PARISC architecture. (Closes: #94691)

 -- Paul Martin <pm@debian.org>  Fri, 27 Apr 2001 05:53:17 +0100

popt (1.6.2-3) unstable; urgency=low

  * Add Build-Depends on gettext. (Closes: #95292)

 -- Paul Martin <pm@debian.org>  Thu, 26 Apr 2001 11:26:18 +0100

popt (1.6.2-2) unstable; urgency=low

  * Added versioned conflict to rpm which is statically built, as
    that also includes all the .po files from popt.
    (Closes: #95026,#95029)
  * Changed libpopt0's section from libs to base, so that it agrees with
    the override on ftp.debian.org.

 -- Paul Martin <pm@debian.org>  Tue, 24 Apr 2001 17:21:26 +0100

popt (1.6.2-1) unstable; urgency=low

  * New maintainer.
  * Thanks for the NMUs. (Closes: #59324,#62314)
  * New upstream release. (Closes: #89690,#94691)
  * Corrected copyright file. (Closes: #61411)
  * Corrected location of upstream. (Closes: #77653)
  * Added Build-Depends to comply with current policy.
  * Ensure all .po files get included in libpopt0.
  * Updated debian/rules to debhelper 3.

 -- Paul Martin <pm@debian.org>  Mon, 23 Apr 2001 11:57:20 +0100

popt (1.5-0.1) unstable; urgency=low

  * New upstream release. (closes: Bug#59324)
  * Non maintainer release.

 -- Takuo KITAME <kitame@northeye.org>  Sat, 24 Jun 2000 06:13:12 +0900

popt (1.4-1.1) frozen unstable; urgency=low

  * Non-maintainer upload.

  * Move libpopt to /lib since pump (/sbin) uses it. (Closes: Bug#62314)
  * Add conflicts for libpopt-dev (old versions of -dev point to /usr/lib,
    which makes ldconfig complain)

 -- Anthony Towns <ajt@debian.org>  Sun, 16 Apr 2000 14:55:29 +1000

popt (1.4-1) unstable; urgency=low

  * New upstream version
  * New version uses newer libtool (Closes: 52085)

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 14 Dec 1999 05:10:43 -0800

popt (1.3-4) unstable; urgency=low

  * Removed popt.ps from the "upstream" tarball (which I make from the
    rpm anyway) and the package---it's non-free! (Closes: #41578)
  * Added README.Debian to tell people about man 3 popt, which Erik


=== debian/control ===
Source: popt
Section: devel
Priority: optional
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: debhelper (>> 4.0.0), gettext
Standards-Version: 3.6.1

Package: libpopt0
Architecture: any
Section: base
Priority: important
Depends: ${shlibs:Depends}
Conflicts: popt, libpopt-dev (<= 1.4-1), rpm (<= 4.0.2-3)
Replaces: popt
Description: lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules. 
 .
 This package contains the runtime library and locale data.

Package: libpopt-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libc6-dev | libc-dev, libpopt0 (= ${Source-Version})
Conflicts: popt
Replaces: popt
Description: lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')

version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')

major=0

# Work around past library brokenness
ifeq ($(version),1.7)
ifeq ($(DEB_HOST_ARCH),m68k)
version = 1.7-4
endif
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
cflags = -O0 -Wall -g
else
cflags = -O2 -Wall -g
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
install = install
else
install = install-strip
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Fix it so that automake doesn't run
	cp -a $(CURDIR)/configure.in $(CURDIR)/configure.ac
	# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=/usr/share/man --enable-shared
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) CFLAGS="$(cflags)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp config.log

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean
	rm -rf $(CURDIR)/tmp
	rm -rf $(CURDIR)/configure.ac

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp $(install)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_install --list-missing
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V "libpopt0 (>= $(version))"
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## popt 1.16

=== debian/changelog ===
popt (1.16-14) unstable; urgency=medium

  * [6cadc21] Revert memory leak fix that causes regression, more testing required

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 21 Oct 2019 11:00:01 -0400

popt (1.16-13) unstable; urgency=medium

  * [f02a155] Add Salsa CI configuration
  * [5097b39] Fix memory leak in leftovers patche (Closes: #941814)
  * [000719b] Bump standards version to 4.4.1
  * [6b87de3] Set minimum gettext version to 0.19.8 (Closes: #941778)
  * [e0d2fe3] Remove ancient conflicts from 2000
  * [4edac2c] Add examples to libpopt-dev (Closes: #254321)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 16 Oct 2019 16:11:41 -0400

popt (1.16-12) unstable; urgency=medium

  [ Helmut Grohne ]
  * [0bdae67] Annotate Build-Depends: api-sanity-checker with <!nocheck>.
    (Closes: #894824)

  [ Michael Jeanson ]
  * [f3d5d95] Remove redundant override for silent rules
  * [1301752] Add 'Rules-Requires-Root: no' to control
  * [6fd0194] Use salsa canonical uri in VCS-Browser
  * [7fb401b] Bump debhelper compat to 11
  * [eddc98b] Add Build-Depends-Package to symbols file
  * [403a5dc] Bump standards version to 4.3.0

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 11 Jan 2019 11:59:20 -0500

popt (1.16-11) unstable; urgency=medium

  * [d9d0d45] Set myself as maintainer
  * [a9b4695] Modernize packaging
     + Convert to a full debhelper rules file
     + Multiple autoreconf fixes
     + Fix test suite
     + Add comments to all patches
     + Add Fedora patches (Closes: #260275)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 27 Mar 2018 12:05:03 -0400

popt (1.16-10) unstable; urgency=low

  * debian/rules: move dependency on target autoreconf-stamp from
    configure (which isn't called) to configure-deb-stamp and
    configure-udeb-stamp.
  * Patches: 757935-autoreconf.patch: add change to Makefile.am of
    testit.sh path.
  * That'll teach me to try to be too clever! (Closes: #757935)

 -- Paul Martin <pm@debian.org>  Mon, 25 Aug 2014 16:15:25 +0100

popt (1.16-9) unstable; urgency=low

  * Patches:
    + 728596-secure-getenv.patch: update to change #elseif (not recognised
      by gcc) to #elif.
    + 757935-autoreconf.patch: remove AM_C_PROTOTYPES from configure.ac
  * Add dependency on dh-autoreconf, and use that in debian/rules instead
    of directly using the rules from autotools-dev. (Closes: #757935)
  * Update to standards version 3.9.5 (no changes)

 -- Paul Martin <pm@debian.org>  Mon, 25 Aug 2014 13:46:30 +0100

popt (1.16-8) unstable; urgency=low

  * Remove build dependency on quilt. (Closes: #709541)
  * Fix renamed __secure_getenv() function for building with glibc 2.17
    and later. (Closes: #728596)
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
    to keep config.sub and config.guess up to date.
    Build-depend on autotools-dev.

 -- Paul Martin <pm@debian.org>  Sun, 03 Nov 2013 20:33:05 +0000

popt (1.16-7) unstable; urgency=low

  * Fix install directory for the pkgconfig file. (Closes: #658663)
    Thanks to Christoph Biedl for spotting the oddity.
    dh_install strikes again!

 -- Paul Martin <pm@debian.org>  Wed, 30 May 2012 22:56:47 +0100

popt (1.16-6) unstable; urgency=low

  * Change dependency on gettext to a version that has a msgfmt that
    always builds little endian .mo files. (Closes: #670023)

 -- Paul Martin <pm@debian.org>  Tue, 29 May 2012 10:27:53 +0100

popt (1.16-5) unstable; urgency=low

  * Enabled hardened build flags. (Closes: #672835)

 -- Paul Martin <pm@debian.org>  Mon, 14 May 2012 11:23:52 +0100

popt (1.16-4) unstable; urgency=low

  * Multiarch build cleanup take 2. (Closes: #670022)
  * Ignoring localizations binary endianness versus multiarch problem.
    That's something for gettext to fix. Thanks for the advice, vorlon.
    (Ignoring: #670023)
  * Update to debhelper 9.
  * Update to standards version 3.9.2
  * Updated copyright file and converted to machine readable format.

 -- Paul Martin <pm@debian.org>  Wed, 02 May 2012 16:22:09 +0100

popt (1.16-3) unstable; urgency=low

  * Multiarch build cleanup. Thanks to Jakub Wilk. (Closes: #638447)

 -- Paul Martin <pm@debian.org>  Tue, 20 Dec 2011 13:26:18 +0000

popt (1.16-2) unstable; urgency=low

  * Update to standards version 3.9.2
    + Comply with new build-arch/build-indep requirements.
    + Note that libtool .la files are deprecated under Debian policy 3.9.1,
      but continute to include libpopt.la under the "historical" exception.
  * Package upstream's libpopt.pc (Closes: #421575)
  * Add multiarch support. Thanks to Steve Langasek for patch.
    (Closes: #638447)
  * Update debian/compat to 8.
  * Add a debian/symbols file. (Closes: #551437)

 -- Paul Martin <pm@debian.org>  Mon, 19 Dec 2011 13:21:06 +0000

popt (1.16-1) unstable; urgency=low

  * New upstream release (Closes: #581439)
  * Switch to dpkg-source 3.0 (quilt) format
  * Add a watch file.
  * Update to standards version 3.8.4 (no changes)

 -- Paul Martin <pm@debian.org>  Thu, 13 May 2010 05:14:50 +0100

popt (1.15-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.8.3
    + debian/README.source added
  * debian/rules: Switch from using "dh_clean -k" to "dh_prep".

 -- Paul Martin <pm@debian.org>  Tue, 06 Oct 2009 19:13:19 +0100

popt (1.14-4) unstable; urgency=low

  * Remove locale data from the udeb, and change the package
    description. The debian-installer developers are sure that they
    don't need the localization information, mainly error messages.
    (Thanks to Frans Pop for bringing this to my attention.)

 -- Paul Martin <pm@debian.org>  Wed, 25 Jun 2008 07:25:34 +0100

popt (1.14-3) unstable; urgency=low

  * Add the locale data to the udeb, as per the package description.
    (Closes: #485926)

 -- Paul Martin <pm@debian.org>  Thu, 12 Jun 2008 17:39:07 +0100

popt (1.14-2) unstable; urgency=low

  * Fix conflicts typo on libpopt0/libpopt-dev. (Closes: #485603)



=== debian/control ===
Source: popt
Section: devel
Priority: optional
Maintainer: Michael Jeanson <mjeanson@debian.org>
Build-Depends: debhelper (>= 11~), gettext (>= 0.18.1.1-8),
 api-sanity-checker <!nocheck>
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/popt.git
Vcs-Browser: https://salsa.debian.org/debian/popt
Homepage: http://rpm5.org/

Package: libpopt0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library and locale data.

Package: libpopt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev | libc-dev, libpopt0 (= ${binary:Version}), ${misc:Depends}
Conflicts: popt
Replaces: popt
Description: lib for parsing cmdline parameters - development files
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the popt static library and header file.

Package: libpopt0-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lib for parsing cmdline parameters
 Popt was heavily influenced by the getopt() and getopt_long() functions,
 but it allows more powerful argument expansion. It can parse arbitrary
 argv[] style arrays and automatically set variables based on command
 line arguments. It also allows command line arguments to be aliased via
 configuration files and includes utility functions for parsing arbitrary
 strings into argv[] arrays using shell-like rules.
 .
 This package contains the runtime library only.
 .
 This is a minimal package for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb=libpopt0-udeb

=== debian/watch ===
version=3
http://rpm5.org/files/popt/popt-([\d\.]+).tar.gz

## popt 1.18

=== debian/changelog ===
popt (1.18-3build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:29:31 +0100

popt (1.18-3) unstable; urgency=medium

  * [79431a2] fix autoconf 2.70 obsolete macros (Closes: #978885)
  * [33be34b] Bump watch file version to 4
  * [6ef4a4a] Move to debhelper 13

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 24 Aug 2021 15:12:20 -0400

popt (1.18-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [ad90dc7] Add upstream metadata file
  * [7400917] Drop unnecessary dependency on dh-autoreconf.
  * [62b862e] Fix day-of-week for changelog entries 1.0-3, 1.0-2.

  [ Christian Göttsche ]
  * [d38af36] Use modern salsa-ci configuration
  * [4673e05] Add simple autopkgtest check

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 03 Nov 2020 11:05:47 -0500

popt (1.18-1) unstable; urgency=medium

  * [6244dc9] A new upstream emerges (Closes: #933635)
  * [26d03e9] New upstream version 1.18
  * [115f26b] Refresh patches for 1.18
  * [fd768b0] Set gettext builddep to >= 0.19.8
  * [b25c3bd] Drop builddep on api-sanity-checker
  * [b20ebd7] Examples moved to tests/
  * [76428e7] Move to debhelper 12
  * [f32d74b] Bump standards version to 4.5.0
  * [39d200c] Use dh_installman

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 26 Jun 2020 12:12:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: popt
 Section: devel
 Priority: optional
-Maintainer: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper (>= 11~), gettext (>= 0.18.1.1-8),
- api-sanity-checker <!nocheck>
-Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
+Build-Depends: debhelper-compat (= 13), gettext (>= 0.19.8)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/popt.git
 Vcs-Browser: https://salsa.debian.org/debian/popt
-Homepage: http://rpm5.org/
+Homepage: https://github.com/rpm-software-management/popt
 
 Package: libpopt0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb=libpopt0-udeb

=== debian/watch ===
version=4
https://ftp.osuosl.org/pub/rpm/popt/releases/popt-1.x/popt-([\d\.]+).tar.gz

## popt 1.18-3build1+11.0trisquel0

=== debian/changelog ===
popt (1.18-3build1+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 06:51:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: popt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext (>= 0.19.8)
 Standards-Version: 4.5.0

## popt 1.19+dfsg

=== debian/changelog ===
popt (1.19+dfsg-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:55 +0200

popt (1.19+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Add fix-reporting-of-test-failures.patch

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 13 Oct 2022 12:26:20 +0200

popt (1.19+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Fixes memory leak. Closes: #941814
  * Drop all patches, included upstream.
  * Repack source, remove popt.pdf. Closes: #1020300
  * Adopt package. Closes: #995268
  * d/copyright:
    - Add myself under Debian paragraph.
    - Upstream changed license to MIT/expat.
  * Update Standards-Version to 4.6.1
  * Remove no longer needed package conflicts.
  * wrap-and-sort -at

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 20 Sep 2022 00:42:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: popt
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper-compat (= 13), gettext (>= 0.19.8)
-Standards-Version: 4.5.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
+Build-Depends: debhelper-compat (= 13),
+               gettext (>= 0.19.8),
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/popt.git
 Vcs-Browser: https://salsa.debian.org/debian/popt
@@ -14,8 +15,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: lib for parsing cmdline parameters
  Popt was heavily influenced by the getopt() and getopt_long() functions,
  but it allows more powerful argument expansion. It can parse arbitrary
@@ -30,9 +32,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libc6-dev | libc-dev, libpopt0 (= ${binary:Version}), ${misc:Depends}
-Conflicts: popt
-Replaces: popt
+Depends: libc6-dev | libc-dev,
+         libpopt0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: lib for parsing cmdline parameters - development files
  Popt was heavily influenced by the getopt() and getopt_long() functions,
  but it allows more powerful argument expansion. It can parse arbitrary
@@ -47,7 +49,8 @@
 Package-Type: udeb
 Architecture: any
 Section: debian-installer
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: lib for parsing cmdline parameters
  Popt was heavily influenced by the getopt() and getopt_long() functions,
  but it allows more powerful argument expansion. It can parse arbitrary

=== debian/tests/control ===
Tests: simple-test-compile
Depends: build-essential,
         @,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://ftp.osuosl.org/pub/rpm/popt/releases/popt-1.x/popt-([\d\.]+).tar.gz

## popt 1.19+dfsg-1build1trisquel0

=== debian/changelog ===
popt (1.19+dfsg-1build1trisquel0) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 29 Sep 2024 04:57:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: popt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: debhelper-compat (= 13),
                gettext (>= 0.19.8),
